Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs	(revision 9614)
@@ -20,13 +20,11 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command {
@@ -38,6 +36,7 @@
     private ColumnGroup newColumnGroup;
 
-    private MergeColumnGroupsCommand()
-      : base(null, null) {
+    [StorableConstructor]
+    protected MergeColumnGroupsCommand(bool deserializing)
+      : base(deserializing) {
       oldColumnGroups = new SortedDictionary<int, ColumnGroup>();
       oldRowCounts = new List<int>();
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs	(revision 9614)
@@ -20,9 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -35,7 +32,6 @@
   [ViewableCommandInfoAttribute("Move ColumnGroup left", 1, ColumnGroupState.Active, "ColumnGroup Commands", Position = 2)]
   public class MoveColumnGroupLeftCommand : DataSetCommandWithAffectedColumnGroupsBase {
-    private MoveColumnGroupLeftCommand()
-      : base(null, null) {
-    }
+    [StorableConstructor]
+    protected MoveColumnGroupLeftCommand(bool deserializing) : base(deserializing) { }
     public MoveColumnGroupLeftCommand(DataSet dataSet, List<string> affectedColumnGroups)
       : base(dataSet, affectedColumnGroups) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs	(revision 9614)
@@ -20,9 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -35,7 +32,6 @@
   [ViewableCommandInfoAttribute("Move ColumnGroup right", 1, ColumnGroupState.Active, "ColumnGroup Commands", Position = 3)]
   public class MoveColumnGroupRightCommand : DataSetCommandWithAffectedColumnGroupsBase {
-    private MoveColumnGroupRightCommand()
-      : base(null, null) {
-    }
+    [StorableConstructor]
+    protected MoveColumnGroupRightCommand(bool deserializing) : base(deserializing) { }
 
     public MoveColumnGroupRightCommand(DataSet dataSet, List<string> affectedColumnGroups)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs	(revision 9614)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -40,8 +38,6 @@
     private ColumnGroup newColumnGroup2;
 
-    private SplitColumnGroupsCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected SplitColumnGroupsCommand(bool deserializing) : base(deserializing) { }
     public SplitColumnGroupsCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs	(revision 9614)
@@ -21,12 +21,8 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -36,7 +32,6 @@
   Position = 6, OptionsView = typeof(BoxCoxTransformationCommandView))]
   public class BoxCoxTransformationCommand : ColumnGroupCommandWithAffectedColumnsBase {
-    private BoxCoxTransformationCommand()
-      : base(null, string.Empty, null) {
-    }
+    [StorableConstructor]
+    protected BoxCoxTransformationCommand(bool deserializing) : base(deserializing) { }
 
     public BoxCoxTransformationCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs	(revision 9614)
@@ -22,13 +22,11 @@
 using System;
 using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Drawing;
 
 namespace HeuristicLab.DataImporter.Command {
@@ -39,6 +37,7 @@
     private Dictionary<int, IComparable[]> deletedRows;
 
-    private DeleteRowsWithGivenValueCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected DeleteRowsWithGivenValueCommand(bool deserializing)
+      : base(deserializing) {
       deletedRows = new Dictionary<int, IComparable[]>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs	(revision 9614)
@@ -20,13 +20,6 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
-using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -34,18 +27,17 @@
   [StorableClass]
   public abstract class FilterCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
-     private FilterCommandBase()
-      : base(null,string.Empty,null) {
-    }
+    [StorableConstructor]
+    protected FilterCommandBase(bool deserializing) : base(deserializing) { }
 
-     public FilterCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns)
+    public FilterCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
     }
 
-     [Storable]
-     private int windowSize;
-     public int WindowSize {
-       get { return this.windowSize; }
-       set { this.windowSize = value; }
-     }
+    [Storable]
+    private int windowSize;
+    public int WindowSize {
+      get { return this.windowSize; }
+      set { this.windowSize = value; }
+    }
   }
 }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs	(revision 9614)
@@ -22,11 +22,8 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -39,6 +36,7 @@
     private ICollection<int> oldSortedColumnIndices;
 
-    private FilterMovingAverageCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected FilterMovingAverageCommand(bool deserializing)
+      : base(deserializing) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs	(revision 9614)
@@ -20,13 +20,9 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -39,6 +35,7 @@
     private ICollection<int> oldSortedColumnIndices;
 
-    private FilterMovingMedianCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected FilterMovingMedianCommand(bool deserializing)
+      : base(deserializing) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs	(revision 9614)
@@ -46,6 +46,7 @@
     public int OrderOfDerivative { get; set; }
 
-    private FilterSavitzkyGolayCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected FilterSavitzkyGolayCommand(bool deserializing)
+      : base(deserializing) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs	(revision 9614)
@@ -20,13 +20,8 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -36,7 +31,6 @@
   Position = 6, OptionsView = typeof(LinearTransformationCommandView))]
   public class LinearTransformationCommand : ColumnGroupCommandWithAffectedColumnsBase {
-    private LinearTransformationCommand()
-      : base(null, string.Empty, null) {
-    }
+    [StorableConstructor]
+    protected LinearTransformationCommand(bool deserializing) : base(deserializing) { }
 
     public LinearTransformationCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs	(revision 9614)
@@ -20,13 +20,9 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -38,6 +34,7 @@
     private List<KeyValuePair<double, double>> oldNormalDistribution;
 
-    private NormalDistributionScalingCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected NormalDistributionScalingCommand(bool deserializing)
+      : base(deserializing) {
       oldNormalDistribution = new List<KeyValuePair<double, double>>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs	(revision 9614)
@@ -20,13 +20,9 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -38,6 +34,7 @@
     private ICollection<int> oldSortedColumnIndices;
 
-    private PercentalChangeCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected PercentalChangeCommand(bool deserializing)
+      : base(deserializing) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs	(revision 9614)
@@ -20,14 +20,9 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -40,6 +35,7 @@
     private List<double> oldMaxValues;
 
-    private ScalingBetweenMinAndMaxCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected ScalingBetweenMinAndMaxCommand(bool deserializing)
+      : base(deserializing) {
       oldMinValues = new List<double>();
       oldMaxValues = new List<double>();
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs	(revision 9614)
@@ -22,13 +22,10 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Drawing;
 using System.Windows.Forms;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -42,6 +39,7 @@
     private Dictionary<ColumnBase, SortOrder> oldSortOrder;
 
-    private SearchAndReplaceCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected SearchAndReplaceCommand(bool deserializing)
+      : base(deserializing) {
       changedCells = new Dictionary<Point, IComparable>();
       oldSorteColumnIndices = new List<int>();
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs	(revision 9614)
@@ -20,29 +20,23 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.DataImporter.Data.CommandBase;
+using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.DataImporter.Data.Model;
 
 namespace HeuristicLab.DataImporter.Command {
   [StorableClass]
   public abstract class SearchCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
-     private SearchCommandBase()
-      : base(null,string.Empty,null) {
-    }
-
-     public SearchCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
+    [StorableConstructor]
+    protected SearchCommandBase(bool deserializing) : base(deserializing) { }
+    protected SearchCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
     }
 
-     [Storable]
-     private string searchValue;
-     public string SearchValue {
-       get { return this.searchValue; }
-       set { this.searchValue = string.IsNullOrEmpty(value) ? null : value.Trim(); }
-     }
+    [Storable]
+    private string searchValue;
+    public string SearchValue {
+      get { return this.searchValue; }
+      set { this.searchValue = string.IsNullOrEmpty(value) ? null : value.Trim(); }
+    }
   }
 }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs	(revision 9614)
@@ -22,10 +22,8 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using System.Drawing;
 using HeuristicLab.DataImporter.Data.CommandBase;
+using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.DataImporter.Data.Model;
-using System.Drawing;
 
 namespace HeuristicLab.DataImporter.Command {
@@ -39,9 +37,7 @@
   [StorableClass]
   public abstract class SearchWithMatchOperationCommandBase : SearchCommandBase {
-    private SearchWithMatchOperationCommandBase()
-      : base(null, string.Empty, null) {
-    }
-
-    public SearchWithMatchOperationCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
+    [StorableConstructor]
+    protected SearchWithMatchOperationCommandBase(bool deserializing) : base(deserializing) { }
+    protected SearchWithMatchOperationCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
     }
@@ -121,9 +117,10 @@
           break;
         case MatchOperation.Larger:
-          compareFunction = (left, right) => { 
+          compareFunction = (left, right) => {
             if (left == null && right == null) return false;
             else if (left != null && right == null) return false;
             else if (left == null && right != null) return false;
-            return left.CompareTo(right) < 0; };
+            return left.CompareTo(right) < 0;
+          };
           break;
         default:
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 9614)
@@ -38,7 +38,6 @@
     public double Threshold { get { return threshold; } set { threshold = value; } }
 
-    private DeleteColumnsWithMissingValuesThresholdCommand()
-      : base(null, string.Empty, null) {
-    }
+    [StorableConstructor]
+    protected DeleteColumnsWithMissingValuesThresholdCommand(bool deserializing) : base(deserializing) { }
 
     public DeleteColumnsWithMissingValuesThresholdCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 9614)
@@ -35,6 +35,7 @@
     private ICollection<int> oldSortedColumnIndices;
 
-    private DeleteRowsWithMissingValuesCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected DeleteRowsWithMissingValuesCommand(bool deserializing)
+      : base(deserializing) {
       oldColumns = new List<ColumnBase>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 9614)
@@ -40,6 +40,7 @@
     public double Threshold { get { return threshold; } set { threshold = value; } }
 
-    private DeleteRowsWithMissingValuesThresholdCommand()
-      : base(null, string.Empty) {
+    [StorableConstructor]
+    protected DeleteRowsWithMissingValuesThresholdCommand(bool deserializing)
+      : base(deserializing) {
       deletedRows = new Dictionary<int, IComparable[]>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 9614)
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
@@ -37,6 +33,7 @@
     protected IEnumerable<SortOrder> oldSortOrder;
 
-    private FillMissingValueCommandBase()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected FillMissingValueCommandBase(bool deserializing)
+      : base(deserializing) {
       nullValues = new Dictionary<int, List<int>>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 9614)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -35,8 +33,6 @@
     "Handle Missing Values", Position = 2)]
   public class FillMissingValuesWithLinearInterpolation : FillMissingValueCommandBase {
-    private FillMissingValuesWithLinearInterpolation()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithLinearInterpolation(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithLinearInterpolation(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 9614)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -35,8 +33,6 @@
     "Handle Missing Values", Position = 0)]
   public class FillMissingValuesWithMeanCommand : FillMissingValueCommandBase {
-    private FillMissingValuesWithMeanCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithMeanCommand(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithMeanCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 9614)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -35,8 +33,6 @@
     "Handle Missing Values", Position = 1)]
   public class FillMissingValuesWithMedianCommand : FillMissingValueCommandBase {
-    private FillMissingValuesWithMedianCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithMedianCommand(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithMedianCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 9614)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
@@ -34,8 +33,6 @@
   [ViewableCommandInfoAttribute("Previous Value", 1, ColumnGroupState.AnySelectedColumnContainsNull, "Handle Missing Values", Position = 3)]
   public class FillMissingValuesWithPreviousValuesCommand : FillMissingValueCommandBase {
-    private FillMissingValuesWithPreviousValuesCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected FillMissingValuesWithPreviousValuesCommand(bool deserializing) : base(deserializing) { }
     public FillMissingValuesWithPreviousValuesCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
